/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FullStochasticOscillatorIndicatorStrategy } from "./FullStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
import { Brush } from "igniteui-react-core/ES2015/Brush";
export class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
    constructor() {
        super();
        this.trendLineBrush = ((() => {
            let $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        this.trendLineType = 10;
        this.trendLinePeriod = 3;
    }
    get_p3() {
        return new FullStochasticOscillatorIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return FullStochasticOscillatorIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get qo() {
        return typeGetValue(this.c(FullStochasticOscillatorIndicator.qt));
    }
    set qo(a) {
        this.h(FullStochasticOscillatorIndicator.qt, a);
    }
    p9() {
        return this.qo;
    }
    qi(a) {
        this.qo = a;
    }
    get smoothingPeriod() {
        return typeGetValue(this.c(FullStochasticOscillatorIndicator.qu));
    }
    set smoothingPeriod(a) {
        this.h(FullStochasticOscillatorIndicator.qu, a);
    }
    qb() {
        return this.smoothingPeriod;
    }
    get qq() {
        return typeGetValue(this.c(FullStochasticOscillatorIndicator.qv));
    }
    set qq(a) {
        this.h(FullStochasticOscillatorIndicator.qv, a);
    }
    p8() {
        return this.qq;
    }
    pj() {
        return this.qq;
    }
}
FullStochasticOscillatorIndicator.$t = markType(FullStochasticOscillatorIndicator, 'FullStochasticOscillatorIndicator', StrategyBasedIndicator.$);
FullStochasticOscillatorIndicator.qt = StrategyBasedIndicator.ql(14, FullStochasticOscillatorIndicator.$);
FullStochasticOscillatorIndicator.qu = StrategyBasedIndicator.qm(3, FullStochasticOscillatorIndicator.$, "SmoothingPeriod");
FullStochasticOscillatorIndicator.qv = StrategyBasedIndicator.qm(3, FullStochasticOscillatorIndicator.$, "TriggerPeriod");
